<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>pam_pkcs11: CK_C_INITIALIZE_ARGS Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">pam_pkcs11
   &#160;<span id="projectnumber">0.6.11</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',false,false,'search.php','Search');
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">CK_C_INITIALIZE_ARGS Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:acb26fcaab3de0a50d349a6772bc492e3"><td class="memItemLeft" align="right" valign="top">CK_CREATEMUTEX&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__C__INITIALIZE__ARGS.html#acb26fcaab3de0a50d349a6772bc492e3">CreateMutex</a></td></tr>
<tr class="separator:acb26fcaab3de0a50d349a6772bc492e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bc914ae5e94b20ed5f6772b20a2f412"><td class="memItemLeft" align="right" valign="top">CK_DESTROYMUTEX&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__C__INITIALIZE__ARGS.html#a3bc914ae5e94b20ed5f6772b20a2f412">DestroyMutex</a></td></tr>
<tr class="separator:a3bc914ae5e94b20ed5f6772b20a2f412"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2d841455965ecfc948621ba2f6c9573"><td class="memItemLeft" align="right" valign="top">CK_LOCKMUTEX&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__C__INITIALIZE__ARGS.html#ab2d841455965ecfc948621ba2f6c9573">LockMutex</a></td></tr>
<tr class="separator:ab2d841455965ecfc948621ba2f6c9573"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91a759efa3a828734a55218299aeece4"><td class="memItemLeft" align="right" valign="top">CK_UNLOCKMUTEX&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__C__INITIALIZE__ARGS.html#a91a759efa3a828734a55218299aeece4">UnlockMutex</a></td></tr>
<tr class="separator:a91a759efa3a828734a55218299aeece4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab168fc251b8b32a3bb0639f4986fce1"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#a53850492c1ba57aca4332be791a3c6a3">CK_FLAGS</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__C__INITIALIZE__ARGS.html#aab168fc251b8b32a3bb0639f4986fce1">flags</a></td></tr>
<tr class="separator:aab168fc251b8b32a3bb0639f4986fce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a29104d1d45c0dbe5e3af2005c6d9bc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="pkcs11t_8h.html#ace49359127edfc5665608140005b9a96">CK_VOID_PTR</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structCK__C__INITIALIZE__ARGS.html#a9a29104d1d45c0dbe5e3af2005c6d9bc">pReserved</a></td></tr>
<tr class="separator:a9a29104d1d45c0dbe5e3af2005c6d9bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01019">1019</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="acb26fcaab3de0a50d349a6772bc492e3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acb26fcaab3de0a50d349a6772bc492e3">&#9670;&nbsp;</a></span>CreateMutex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CK_CREATEMUTEX CreateMutex</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01020">1020</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a3bc914ae5e94b20ed5f6772b20a2f412"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3bc914ae5e94b20ed5f6772b20a2f412">&#9670;&nbsp;</a></span>DestroyMutex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CK_DESTROYMUTEX DestroyMutex</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01021">1021</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="aab168fc251b8b32a3bb0639f4986fce1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aab168fc251b8b32a3bb0639f4986fce1">&#9670;&nbsp;</a></span>flags</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#a53850492c1ba57aca4332be791a3c6a3">CK_FLAGS</a> flags</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01024">1024</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="ab2d841455965ecfc948621ba2f6c9573"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2d841455965ecfc948621ba2f6c9573">&#9670;&nbsp;</a></span>LockMutex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CK_LOCKMUTEX LockMutex</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01022">1022</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a9a29104d1d45c0dbe5e3af2005c6d9bc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9a29104d1d45c0dbe5e3af2005c6d9bc">&#9670;&nbsp;</a></span>pReserved</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="pkcs11t_8h.html#ace49359127edfc5665608140005b9a96">CK_VOID_PTR</a> pReserved</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01025">1025</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<a id="a91a759efa3a828734a55218299aeece4"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91a759efa3a828734a55218299aeece4">&#9670;&nbsp;</a></span>UnlockMutex</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">CK_UNLOCKMUTEX UnlockMutex</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="pkcs11t_8h_source.html#l01023">1023</a> of file <a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="pkcs11t_8h_source.html">pkcs11t.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed May 22 2019 12:09:35 for pam_pkcs11 by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
